Subject: Re: bug#6184: cleanup: remove src/prefix-args.c

From: Dan Nicolaescu <[email-masked]>
Date: Wed, 19 May 2010 11:24:51 -0400

Glenn Morris <[email-masked]> writes:

> Dan Nicolaescu wrote:
>
>> prefix-args.c is only used when compiling with gcc to pass flags to
>> the linker using the -Xlinker syntax. This is not necessary anymore,
>> -Wl, can be used the same way, and the linker flags are generated in
>> that format anyway.
>
> It looks like the -Wl option is about 18 years old, so FWIW I suggest
> you go for it. 

> (Don't you still need something prefix-arg like to put
> in the commas? I'm sure it doesn't require a C program though.)

I would guess not, AFAICS linker flags are already in the -Wl format.
If these flags are produced by configure, then configure can take care
of putting them in the right format...